asrock e350m1: fix problem were startup hangs for minutes if serial port post
code logging (kconfig console_post) is enabled. This is caused by logging to
the serial port before it is initialized. 

Signed-off-by: Scott Duplichan <scott@notabs.org>


diff -u -r coreboot-8fed77a\src\mainboard\asrock\e350m1\romstage.c coreboot-slowserialfix\src\mainboard\asrock\e350m1\romstage.c
--- coreboot-8fed77a\src\mainboard\asrock\e350m1\romstage.c	Sat Jun 18 19:50:32 2011
+++ coreboot-slowserialfix\src\mainboard\asrock\e350m1\romstage.c	Sun Jun 19 21:50:51 2011
@@ -73,10 +73,10 @@
 	}
 
 	if (!cpu_init_detectedx && boot_cpu()) {
-		post_code(0x30);
+		outb(0x30, 0x80);
 		sb_poweron_init();
 
-		post_code(0x31);
+		outb(0x31, 0x80);
 		w83627hf_enable_serial(SERIAL_DEV, CONFIG_TTYS0_BASE);
 		console_init();
 	}
